﻿@model List<Cdio447.ViewModels.InfoPlayerViewModel>
@using Cdio447.Supports;
@{
    ViewBag.Title = "Trang chủ";
    var cities = (List<Cdio447.Models.cities>)ViewBag.city;
}
@section styles {
    <link href="~/Content/assets/css/jquery-ui.min.css" rel="stylesheet" />
}
@Html.Partial("_Banner")
<div id="search_box my-md-2 my-lg-4">
    <div class="row">
        <div class="col-12">
            <div class="form-group m-0 text-center">
                <button type="button" class="btn btn_template btn_none_dev" data-toggle="modal" data-target="#FilterModal">
                    Bộ lọc tìm kiếm
                </button>
            </div>
        </div>
    </div>
</div>
<!-- Modal Filter Search  -->
<div class="modal fade" id="FilterModal" tabindex="-1" role="dialog" aria-labelledby="FilterModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Tìm kiếm player với điều kiện là</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="box-form-filter">
                    <table class="table">
                        <tbody>
                            <tr>
                                <td class="text-left"><span>Giới tính là</span></td>
                                <td class="text-right">
                                    <div class="d-flex align-items-center">
                                        <label class="mb-0 mr-2" for="male">Nam</label>
                                        <input class="mr-2" type="radio" id="male" name="gender" value="1" />
                                        <label class="mb-0 mr-2" for="female">Nữ</label>
                                        <input type="radio" id="female" name="gender" value="2" />
                                    </div>
                                </td>
                                <td class="text-center">
                                    <label id="delete_gender" type="button" class="btn btn_template m-0">
                                        <i class="fa fa-times"></i>
                                    </label>
                                </td>
                            </tr>
                            <!--
                                <tr>
                                    <td class="text-left"><span>Đang online</span></td>
                                    <td class="text-right">

                                    </td>
                                    <td class="text-light">
                                        <label id="delete_status" type="button" class="btn btn_template m-0">
                                            <i class="fa fa-times"></i>
                                        </label>
                                    </td>
                                </tr>
                            -->
                            <tr>
                                <td class="text-left"><span>Khoảng giá<br />thuê</span></td>
                                <td class="text-right">
                                    <div id="ranger-slider"></div>
                                    <div class="d-flex justify-content-around">
                                        <span id="ranger-value-min-text"></span>
                                        <input type="hidden" id="ranger-value-min" name="ranger-value-min" />
                                        <span>đến</span>
                                        <span id="ranger-value-max-text"></span>
                                        <input type="hidden" id="ranger-value-max" name="ranger-value-max" />
                                    </div>
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td class="text-left"><span>Sống tại</span></td>
                                <td class="text-right">
                                    <input type="hidden" id="arr_cities" name="arr_cities" value="" />
                                    <select id="select_city" data-placeholder="Chọn thành phố" multiple="" class="chosen-select">
                                        @foreach (var ct in cities)
                                        {
                                            <option value="@ct.id">@ct.name</option>
                                        }
                                    </select>
                                </td>
                                <td>
                                    <!--
                                        <label id="delete_city" type="button" class="btn btn_template m-0">
                                            <i class="fa fa-times"></i>
                                        </label>
                                    -->
                                </td>
                            </tr>
                            <tr>
                                <td class="text-left"><span>Tên</span></td>
                                <td class="text-right">
                                    <input id="name" class="w-100 form-control" name="name" type="text"
                                           autocomplete="off" value="">
                                </td>
                                <td class="text-center">
                                    <label id="delete_name" type="button" class="btn btn_template m-0">
                                        <i class="fa fa-times"></i>
                                    </label>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-left"><span>Tags:</span></td>
                                <td class="text-right">
                                    <input id="tag" class="w-100 form-control" name="tag" type="text"
                                           autocomplete="off" maxlength="60" value="">
                                </td>
                                <td class="text-center">
                                    <label id="delete_tag" type="button" class="btn btn_template m-0">
                                        <i class="fa fa-times"></i>
                                    </label>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="text-center">
                        <button id="btnFilter" type="submit" class="btn btn_template">Bộ lọc</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="filter_title" class="container my-3" style="display: none;">
    <div class="row">
        <h3>Kết quả bộ lọc</h3>
    </div>
</div>
<div id="box-loader" class="text-center mt-3"><div class="loader4"></div></div>
<div id="filter_list" class="list-player my-3">
    <div class="container p-0">
        <div class="row">
        </div>
    </div>
</div>
<script id="scriptRender" type="text/x-jsrender">
    {{for #data}}
    <div class="col-sm-12 col-md-6 col-lg-4 col-xl-3">
        <div class="list-player-item">
            <div class="list-player-item-avatar position-relative p-1">
                <img src="/Content/assets/img/{{:avatar}}">
            </div>
            <div class="list-player-item-info px-1">
                <div class="name py-lg-2">{{:display_name}}</div>
                <div class="align-items-center justify-content-between">
                    <a class="btn btn_template" target="_blank" href="/User/Detail/{{:user_id}}" +="">Dou ngay</a>
                    <div class="price">{{:~format(amount_in_one, "đ/h")}}</div>
                </div>
                <div class="tag py-lg-2"><b>{{:tag}}</b></div>
            </div>
        </div>
    </div>
    {{/for}}
</script>
<div class="list-player my-lg-4">
    <div class="container p-0">
        <div class="row">
            <div class="col-12">
                <h3>Danh sách người chơi</h3>
            </div>
            @if (Model.Count > 0)
            {
                foreach (var item in Model)
                {
                    var url = "/User/Detail/" + item.user_id;
                    var urlAvatar = @Url.Content("~/Content/assets/img/" + item.avatar);
                    <div class="col-sm-12 col-md-6 col-lg-4 col-xl-3">
                        <div class="list-player-item">
                            <div class="list-player-item-avatar position-relative p-1">
                                <img src="@urlAvatar" />
                            </div>
                            <div class="list-player-item-info px-1">
                                <div class="name py-lg-2">@item.display_name</div>
                                <div class="align-items-center justify-content-between">
                                    <a class="btn btn_template" target="_blank" href="@url" +>Dou ngay</a>
                                    <div class="price">
                                        @FunctionSupport.convertVND((decimal)item.amount_in_one, "đ/h")
                                    </div>
                                </div>
                                <div class="tag py-lg-2">
                                    <img src="~/Content/assets/img/other.png" />
                                    @item.tag
                                </div>
                            </div>
                        </div>
                    </div>
                }
            }

        </div>
    </div>
</div>
